<html>

<head>
<meta http-equiv="Content-Language" content="en-au">
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
<title>New Page 1</title>
<link rel="stylesheet" type="text/css" href="custom.css">
<script language=javascript>
var t;
var req;

function loadXMLDoc(url)
	{
	req = false;
    // branch for native XMLHttpRequest object
    if(window.XMLHttpRequest && !(window.ActiveXObject)) {
    	try {
			req = new XMLHttpRequest();
        } catch(e) {
			req = false;
        }
    // branch for IE/Windows ActiveX version
    } else if(window.ActiveXObject) {
       	try {
        	req = new ActiveXObject("Msxml2.XMLHTTP");
      	} catch(e) {
        	try {
          		req = new ActiveXObject("Microsoft.XMLHTTP");
        	} catch(e) {
          		req = false;
        	}
		}
    }
	if(req) {
		req.onreadystatechange = processReqChange;
		req.open("POST", url, true);
		req.send("");
	}
}

function processReqChange()
{
    // only if req shows "loaded"
    if (req.readyState == 4)
    	{
        // only if "OK"
        if (req.status == 200) 
        	{
        	card = req.responseXML.getElementsByTagName("card")[0].firstChild.nodeValue;
        	cardname = req.responseXML.getElementsByTagName("cardname")[0].firstChild.nodeValue;
        	cardcontent = req.responseXML.getElementsByTagName("cardcontent")[0].firstChild.nodeValue;
        	v_length = req.responseXML.getElementsByTagName("length")[0].firstChild.nodeValue;
        	v_time = req.responseXML.getElementsByTagName("time")[0].firstChild.nodeValue;
        	v_position = req.responseXML.getElementsByTagName("position")[0].firstChild.nodeValue;
        	state = req.responseXML.getElementsByTagName("state")[0].firstChild.nodeValue;
        	document.getElementById('card_info').innerHTML = cardname + ":&nbsp;&nbsp;" + cardcontent;
        	document.getElementById('card_state').innerHTML = state + ":&nbsp;&nbsp;";
        	document.getElementById('card_time').innerHTML = v_time;
        	document.getElementById('card_length').innerHTML = v_length;
        	document.getElementById('card_position').innerHTML = "&nbsp;&nbsp;" + v_position + "%";
			t = setTimeout("reload_frame()", 2000);
        	}
        else
        	{
            //alert("There was a problem retrieving the XML data:\n" + req.statusText);
        	}
    	}
}


function _startTimer()
{
t = setTimeout("reload_frame()", 5000);
}

function reload_frame()
{
loadXMLDoc('streamfileframe?Card=!!!Card!!!&XML=yes');
}

</script>

</head>

<body onload='javascript:_startTimer()'>
<table border=0 cellpadding=0 cellspacing=0 width="100%">
	<tr><td colspan=5 nowrap><font face="Arial Narrow" size="2" color="#000080"><b id='card_info'>!!!CardName!!!:&nbsp;&nbsp;!!!CardContent!!!</b></font></td></tr>
	<tr>
		<td nowrap width="2%"><font face="Arial Narrow" size="2" color="#000080"><b id='card_state'>!!!State!!!:&nbsp;&nbsp;</b></font><font color="#000080"></font></font></td>
		<td nowrap width="2%"><font size="2" face="Arial Narrow" color="#000080" id='card_time'>!!!Time!!!</font></td>
		<td align="center" nowrap width="1%">/</td></font>
		<td width="2%" nowrap><font face="Arial Narrow" size="2" color="#000080" id='card_length'>!!!Length!!!</font></td>
		<td width="93%" nowrap><font face="Arial Narrow" size="2" color="#000080" id='card_position'>&nbsp;&nbsp;!!!Position!!!%</font></td>
	</tr>
</table>
<form id=F1 action=streamfileframe method=post>
<input type=hidden name="Size" value=small>
<input type=hidden name="Card" value=!!!Card!!!></form>
</body>

</html>